"""cqtu URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.10/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url, include
from django.contrib import admin

from django.contrib.auth import views as auth_views
#from django.views.generic.edit import CreateView
#from django.contrib.auth.forms import UserCreationForm

#from contest.forms import CustomUserCreationForm
from contest.views import index, register, profile



urlpatterns = [
	url('^$', index, name="index"),
	url('^cqtufm2017/', include('contest.urls', namespace='contest')),

    url(r'^admin/', admin.site.urls),
	url(r'^login/$', auth_views.login, name='login'),
	url(r'^logout/$', auth_views.logout, {'next_page': '/'}, name='logout'),
	url(r'^register/$', register, name='register'),
	url(r'^profile/$', profile, name='profile'),
	#url(r'^register/$', CreateView.as_view(
	#			template_name='registration/register.html',
	#			form_class=CustomUserCreationForm,
	#			success_url='/',
	#), name='register'),
]
